#!/usr/bin/env python


import setuptools


# =====
if __name__ == "__main__":
    setuptools.setup(
        name="golemapi",
        version="0.8.0",
        url="https://github.com/yandex-sysmon/golemapi",
        license="LGPLv3",
        author="Devaev Maxim",
        author_email="mdevaev@gmail.com",
        description="Simple wrapper for Golem HTTP API",
        platforms="any",

        packages=[
            "golemapi",
        ],

        classifiers=[  # http://pypi.python.org/pypi?:action=list_classifiers
            "Development Status :: 2 - Pre-Alpha",
            "License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)",
            "Operating System :: OS Independent",
            "Programming Language :: Python :: 3",
            "Topic :: Software Development :: Libraries :: Python Modules",
            "Topic :: System :: Networking :: Monitoring",
        ],

        install_requires=[
            "ulib >= 0.25",
            "requests >= 2.2.1",
        ]
    )
