from . import common
from . import errors


# =====
class HostsApi(common.BaseApi):
    def get_responsibles(self, host, handle="api/get_host_resp.sbml"):
        result = self._get(handle, {"host": host})
        if result.status_code != 200:
            raise errors.GolemApiError(result)
        return list(filter(None, result.text.strip().split(",")))
